Subject: bug#71760: closed (Re: bug#71760: [PATCH] js-ts-mode: Fix filling of jsdoc blocks)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Aug 2024 03:08:02 +0000

Your bug report

#71760: 31.0.50; Filling jsdoc text doesn't work in js-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71760: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71760
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71760: [PATCH] js-ts-mode: Fix filling of jsdoc blocks
From: Yuan Fu <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: Damien Cassou <[email-masked]>, [email-masked]
Date: Sat, 3 Aug 2024 20:05:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Aug 3, 2024, at 8:14 AM, Dmitry Gutov <[email-masked]> wrote:
> 
> On 03/08/2024 10:34, Yuan Fu wrote:
>>> I think Damien is saying that patch#2 from his submission is not necessary with your fix (commit 74bb1e5897f, IIUC).
>>> 
>>> So do you think it's a good idea to backport it to emacs-30?
>> I’d rather apply Damien’s patch to emacs-30, that’s a simple fix and doesn’t change the filling behavior. The change I applied to master is more substantial, and apparently introduced another regression that I now need to fix 🙁
> 
> Makes sense.
> 
> It would be great if you could do the applying - while I understand the tree-sitter part, I'm not quite familiar with the filling code, so not equipped to give it a "stamp of approval" myself.
> 
> Also, I would probably have to ask whether this patch if a replacement for that's been added to master, an addition, or a suitable alternative.

Of course. I applied the patch. And I think this report can be closed, so closing :-)

Yuan

Subject: 31.0.50; Filling jsdoc text doesn't work in js-ts-mode
From: Damien Cassou <[email-masked]>
To: [email-masked]
Date: Mon, 24 Jun 2024 22:23:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

in a commit recently merged in master (0edacf2aa7e53), js-ts-mode has
been improved to use the jsdoc treesitter grammar on documentation. Font
lock works great but M-q doesn't fill long lines.

To reproduce, make sure your Emacs contains the above-mentioned commit
and make sure you have the jsdoc treesitter grammar available. Then,
save the attached JavaScript file to your disk and execute:

$ emacs -Q --eval "(progn (find-file \"/home/cassou/tmp/test.js\") (js-ts-mode))"

Move point to the middle of line 2 (or line 4) and press M-q.

Expected: The paragraph is filled.

Actual: Nothing changes.

I tried changing the value of `c-ts-common--comment-regexp' to include
"description" (as this is what the jsdoc parser uses for text) but the
result is worse. I also tried reusing `js-fill-paragraph' but that fails
as well.

I would be happy to implement something and send a patch but I have no
idea were to start.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill